%define major 1
%define libname %mklibname pcsclite %{major}

%define with_debug 1
%{?_with_debug: %{expand: %%global with_debug 1}}

Name: pcsc-lite
Summary: M.U.S.C.L.E. PC/SC Framework for Linux
Version: 1.4.0
Release: %mkrel 1
License: GPL 
Group: System/Servers
Source0: https://alioth.debian.org/download.php/1472/pcsc-lite-%{version}.tar.gz
Source1: https://alioth.debian.org/download.php/1473/pcsc-lite-%{version}.tar.gz.asc
Source1: pcscd.script
URL: http://pcsclite.alioth.debian.org
BuildRequires: chkconfig 
BuildRequires: flex
BuildRequires: libusb-devel
BuildRequires: pkgconfig
BuildRoot: %{_tmppath}/%{name}-root
Requires(pre): rpm-helper
Requires: rpm-helper

%post
%_post_service pcscd

%preun
%_preun_service pcscd      

%description
pcscd is the daemon program for PC/SC Lite. It is a resource 
manager that coorinates communications with Smart Card readers and Smart 
Cards that are connected to the system.

The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a 
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R)

This package was tested to work with A.E.T. Europe SafeSign. This
package is supported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING DRIVERS HELP INSTALL NEWS README SECURITY
%doc doc/pcsc-lite.pdf doc/ifdhandler-3.pdf doc/README.DAEMON
%attr(755,root,root) %{_initrddir}/pcscd
%dir %{_sysconfdir}/reader.conf.d
%{_sysconfdir}/reader.conf.d/*
%{_mandir}/*/*
%{_sbindir}/*
%{_libdir}/pcsc

#---------------------------------------------------------

%package -n %{libname}
Summary: Muscle PCSC Framework for Linux libraries
Group: System/Libraries
Conflicts: %name < 1.1.2-5mdk
Provides: libpcsclite%{major} = %{version}-%{release}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%description -n %{libname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware 
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libpcsc*.so.*

#---------------------------------------------------------

%package -n %{libname}-devel
Summary: Muscle PCSC Framework for Linux development files
Group: Development/Other
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides: libpcsclite-devel = %{version}-%{release}
Conflicts: %mklibname -d pcsclite 0

%description -n %{libname}-devel
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware 
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/* 
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.so

#---------------------------------------------------------

%package -n %{libname}-static-devel
Summary: Muscle PCSC Framework for Linux development files
Group: Development/Other
Requires: %{libname}-devel

%description -n %{libname}-static-devel
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware 
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/*.a

#---------------------------------------------------------

%prep
%setup -q

%build
%serverbuild
%configure2_5x \
   --enable-usbdropdir=%{_libdir}/pcsc/drivers/ \
   --enable-muscledropdir=%{_libdir}/pcsc/services/ \
   --enable-scf \
   --enable-runpid=%{_var}/run/pcscd.pid \
%if %{with_debug}
   --enable-debugatr \
   --enable-musclecarddebug \
%endif
   --enable-extendedapdu

# No distributed proc
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/pcsc/{services,drivers} $RPM_BUILD_ROOT%{_sysconfdir}/reader.conf.d

make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
cp %SOURCE1  $RPM_BUILD_ROOT/%{_initrddir}/pcscd

# remove unpackaged files
rm -f	$RPM_BUILD_ROOT%{_datadir}/pcscd.startup
rm -f  $RPM_BUILD_ROOT/usr/doc/pcsc-lite*
rm -f  $RPM_BUILD_ROOT/usr/doc/ifdhandler*
rm -f  $RPM_BUILD_ROOT/usr/doc/muscle*
rm -f  $RPM_BUILD_ROOT/usr/doc/README*


%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Wed Mar 07 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.0-1mdv2007.0
+ Revision: 134433
- updated to version 1.4.0 (same soname)

* Mon Nov 06 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.2-1mdv2007.1
+ Revision: 77007
- updated to version 1.3.2
- using pid file

* Fri Sep 01 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.1-3mdv2007.0
+ Revision: 59365
- using functions for initscript (#21495)
- updated initscript to use parallel init scheme

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream version 1.3.1
    - import pcsc-lite-1.3.0-3mdk


* Mon Apr 17 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.0-3mdk
- added missing provides

* Thu Mar 09 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.0-2mdk
- added missing buildrequires

* Thu Mar 09 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.0-1mdk
- updated to verison 1.3.0, closing #21518
- removed references to libmusclecard, it's a separate package now

* Tue Dec 06 2005 Andreas Hasenack <andreas@mandriva.com> 1.2.9-3mdk
- fixed -devel package conflicts so that it works with x86_64 too
  (thanks to _ranger_ for the tip)

* Thu Nov 24 2005 Andreas Hasenack <andreas@mandriva.com> 1.2.9-2mdk
- versioning devel provides

* Thu Nov 03 2005 Helio Chissini de Castro <heliocastro@mandriva.com> 1.2.9-1mdk
- New upstream beta release

* Mon Jun 13 2005 Frederic Lepied <flepied@mandriva.com> 1.1.2-6mdk
- rebuild

* Wed Oct 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-5mdk
- corrected update-reader-conf to avoid a warning when no config is present
- libification

* Fri Sep 12 2003 Jan Rochat <rochat@aeteurope.nl> 1.1.2-4mdk
- Changed the default file to an empty file (No reader at installation)

* Thu Sep 11 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-3mdk
- move tree under %_libdir
- corrected restart and condrestart in startup script
- added /etc/reader.conf.d and update-reader-conf script
- use rpm macros for services

* Wed Sep 10 2003 Jan Rochat <rochat@aeteurope.nl> 1.1.2-2mdk
- First release for the smart card linux consortium see www.safesign.com info@aeteurope.nl

* Wed Apr 23 2003 Jan Rochat <rochat@aeteurope.nl> 1.1.2-1mdk
- initial aet package

